zenilib: zenilib/jni/external/openal-soft/Alc/backends/sndio.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
sndio.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "alMain.h"`
`#include "alu.h"`
`#include <sndio.h>`

Go to the source code of this file.

## Functions

void | alc_sndio_deinit (void)
ALCboolean | alc_sndio_init (BackendFuncs *func_list)
void | alc_sndio_probe (enum DevProbe type)
static void | sndio_close_playback (ALCdevice *device)
static ALCboolean | sndio_load (void)
static ALCenum | sndio_open_playback (ALCdevice *device, const ALCchar *deviceName)
static ALuint | sndio_proc (ALvoid *ptr)
static ALCboolean | sndio_reset_playback (ALCdevice *device)
static ALCboolean | sndio_start_playback (ALCdevice *device)
static void | sndio_stop_playback (ALCdevice *device)

## Variables

static const ALCchar | sndio_device [] = "SndIO Default"
static const BackendFuncs | sndio_funcs

## Function Documentation

void alc_sndio_deinit | ( | void |  | ) |

Definition at line 282 of file sndio.c.

ALCboolean alc_sndio_init | ( | BackendFuncs * | func_list | ) |

Definition at line 274 of file sndio.c.

References ALC_FALSE, ALC_TRUE, sndio_funcs, and sndio_load().

void alc_sndio_probe | ( | enum DevProbe | type | ) |

Definition at line 286 of file sndio.c.

References ALL_DEVICE_PROBE, AppendAllDevicesList(), CAPTURE_DEVICE_PROBE, and sndio_device.

static void sndio_close_playback | ( | ALCdevice * | device | ) |

static

Definition at line 118 of file sndio.c.

References ALCdevice_struct::ExtraData, free, and NULL.

static ALCboolean sndio_load | ( | void |  | ) |

static

Definition at line 36 of file sndio.c.

References ALC_TRUE.

Referenced by alc_sndio_init().

static ALCenum sndio_open_playback | ( | ALCdevice * | device,
|  | const ALCchar * | deviceName
| ) |  |

static

Definition at line 92 of file sndio.c.

References ALC_INVALID_VALUE, ALC_NO_ERROR, calloc, ALCdevice_struct::DeviceName, ERR, ALCdevice_struct::ExtraData, free, NULL, sndio_device, and strdup().

static ALuint sndio_proc | ( | ALvoid * | ptr | ) |

static

Definition at line 53 of file sndio.c.

References ALCdevice_Lock, ALCdevice_Unlock, aluHandleDisconnect(), aluMixData(), ALCdevice_struct::Connected, ERR, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, FrameSizeFromDevFmt(), and SetRTPriority().

Referenced by sndio_start_playback().

static ALCboolean sndio_reset_playback | ( | ALCdevice * | device | ) |

static

Definition at line 127 of file sndio.c.

References ALC_FALSE, ALC_TRUE, DevFmtByte, DevFmtFloat, DevFmtInt, DevFmtMono, DevFmtShort, DevFmtStereo, DevFmtUByte, DevFmtUInt, DevFmtUShort, ERR, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, ALCdevice_struct::Frequency, ALCdevice_struct::NumUpdates, SetDefaultChannelOrder(), and ALCdevice_struct::UpdateSize.

static ALCboolean sndio_start_playback | ( | ALCdevice * | device | ) |

static

Definition at line 212 of file sndio.c.

References ALC_FALSE, ALC_TRUE, calloc, ERR, ALCdevice_struct::ExtraData, ALCdevice_struct::FmtChans, ALCdevice_struct::FmtType, FrameSizeFromDevFmt(), free, NULL, sndio_proc(), StartThread(), and ALCdevice_struct::UpdateSize.

static void sndio_stop_playback | ( | ALCdevice * | device | ) |

static

Definition at line 237 of file sndio.c.

References ERR, ALCdevice_struct::ExtraData, free, NULL, and StopThread().

## Variable Documentation

const ALCchar sndio_device[] = "SndIO Default"

static

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 33 of file sndio.c.

Referenced by alc_sndio_probe(), and sndio_open_playback().

const BackendFuncs sndio_funcs

static

Initial value:
= {
sndio_open_playback,
sndio_close_playback,
sndio_reset_playback,
sndio_start_playback,
sndio_stop_playback,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
ALCdevice_LockDefault,
ALCdevice_UnlockDefault,
ALCdevice_GetLatencyDefault
}
NULL
#define NULL
Definition: ftobjs.h:61
sndio_open_playback
static ALCenum sndio_open_playback(ALCdevice *device, const ALCchar *deviceName)
Definition: sndio.c:92
sndio_start_playback
static ALCboolean sndio_start_playback(ALCdevice *device)
Definition: sndio.c:212
ALCdevice_GetLatencyDefault
ALint64 ALCdevice_GetLatencyDefault(ALCdevice *device)
Definition: ALc.c:1285
sndio_close_playback
static void sndio_close_playback(ALCdevice *device)
Definition: sndio.c:118
sndio_reset_playback
static ALCboolean sndio_reset_playback(ALCdevice *device)
Definition: sndio.c:127
sndio_stop_playback
static void sndio_stop_playback(ALCdevice *device)
Definition: sndio.c:237
ALCdevice_LockDefault
void ALCdevice_LockDefault(ALCdevice *device)
Definition: ALc.c:1277
ALCdevice_UnlockDefault
void ALCdevice_UnlockDefault(ALCdevice *device)
Definition: ALc.c:1281

Definition at line 257 of file sndio.c.

Referenced by alc_sndio_init().